List alert contact points
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/alertContactPoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/alertContactPoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/alertContactPoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"integrations": [
{
"id": "<string>",
"type": "email",
"settings": {},
"status": "active",
"minSeverity": "info"
}
],
"createdMs": 123,
"updatedMs": 123,
"description": "<string>"
}
]{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Alert management
List alert contact points
Lists the project’s alert contact points and their integrations. Each contact point is a named notification destination that can contain multiple integrations, each with its own type.
Required API key permission: observe:alerts:read.
GET
/
observe
/
alertContactPoints
List alert contact points
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Query Parameters
The page number to retrieve for paginated results.
Example:
1
The number of items to return per page. Useful for pagination.
Example:
20
Response
Paginated list of contact points, by name. Paging metadata is returned in X-Corbado-Page, X-Corbado-TotalPages, and X-Corbado-TotalItems response headers.
Was this page helpful?